import RyeHeader from './header/index.js'
import RyeFooterbar from './footerbar/index.js'

const components = [
    RyeFooterbar,
    RyeHeader,
]
const install = function (Vue, opts = {}) {
  components.forEach((elem, i) => {
    Vue.component(elem.name, elem);
  })
}
//const install = function(Vue, opts = {}) {
//  components.map(component => {
//    Vue.component(component.name, component);
//  })
//}

/* 支持使用标签的方式引入 */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export default {
    install,
    RyeFooterbar,
    RyeHeader,
}
